build-job:
    stage: build
    script:
     - echo "Hello, $GITLAB_USER_LOGIN"
    tags: [run_devops_1] 

test_job1:
    stage: test
    script: 
     - echo "this jobs tests something"
    tags: [run_devops_1] 
    needs: [build-job]
        

test_job2: 
    stage: test
    script: 
     - echo "Thos job tests something, but takes time then test-job1"
     - echo "after the echo commands complete, it runs the sleep command for 20 sec"
     - echo "which siulates a test runs 20 sec longer tha test_jobs1"
     - sleep 20
    tags: [run_devops]
    needs: [build-job]

deploy-prod:
    stage: deploy
    script:
      - echo "this job deploy from the $CI_COMMIT_BRANCH branch"
    tags: [run_devops_1] 
    environment: production  
    needs: [build-job] 
